Create Batch Cards
curl --request POST \
--url https://nini.monieswitch.com/card/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/card/batch"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/card/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Batch successfully created",
"data": {
"id": "cfec027f-1805-4da6-a99b-3c86ee36298a",
"type": "PHYSICAL",
"scheme": "VERVE",
"walletIds": [
"341f8315-ff75-4ea0-8268-bd2a23141e6a",
"341f8315-ff75-4ea0-8268-bd2a23141e6b"
],
"status": "PENDING",
"validWalletIds": [
"341f8315-ff75-4ea0-8268-bd2a23141e6a"
],
"invalidWalletIds": [
{
"walletId": "341f8315-ff75-4ea0-8268-bd2a23141e6b",
"reason": "Wallet not found"
}
],
"batchReference": "WdfyZwAaO1gcHYDyAc4lYIawvMInR3PbwV8H"
}
}Card
Create Batch Cards
POST
/
card
/
batch
Create Batch Cards
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
⌘I